contrib/builddeb
branchstable
changeset 28994 8797f03db5b6
parent 28993 837119bf7f01
child 29045 52f71214efce
equal deleted inserted replaced
28993:837119bf7f01 28994:8797f03db5b6
     8 
     8 
     9 BUILD=1
     9 BUILD=1
    10 CLEANUP=1
    10 CLEANUP=1
    11 DISTID=`(lsb_release -is 2> /dev/null | tr '[:upper:]' '[:lower:]') || echo debian`
    11 DISTID=`(lsb_release -is 2> /dev/null | tr '[:upper:]' '[:lower:]') || echo debian`
    12 CODENAME=`lsb_release -cs 2> /dev/null || echo unknown`
    12 CODENAME=`lsb_release -cs 2> /dev/null || echo unknown`
       
    13 DEBFLAGS=-b
    13 while [ "$1" ]; do
    14 while [ "$1" ]; do
    14     case "$1" in
    15     case "$1" in
    15     --distid )
    16     --distid )
    16         shift
    17         shift
    17         DISTID="$1"
    18         DISTID="$1"
    27         BUILD=
    28         BUILD=
    28         ;;
    29         ;;
    29     --build )
    30     --build )
    30         shift
    31         shift
    31         CLEANUP=
    32         CLEANUP=
       
    33         ;;
       
    34     --source-only )
       
    35         shift
       
    36         DEBFLAGS=-S
    32         ;;
    37         ;;
    33     * )
    38     * )
    34         echo "Invalid parameter $1!" 1>&2
    39         echo "Invalid parameter $1!" 1>&2
    35         exit 1
    40         exit 1
    36         ;;
    41         ;;
    74 
    79 
    75     # remove the node from the version string
    80     # remove the node from the version string
    76     SRCFILE="mercurial_$(echo $debver | sed "s,-$node,,").orig.tar.gz"
    81     SRCFILE="mercurial_$(echo $debver | sed "s,-$node,,").orig.tar.gz"
    77     "$PWD/hg" archive $SRCFILE
    82     "$PWD/hg" archive $SRCFILE
    78     mv $SRCFILE ..
    83     mv $SRCFILE ..
    79     debuild -us -uc -i -I -b
    84     debuild -us -uc -i -I $DEBFLAGS
    80     if [ $? != 0 ]; then
    85     if [ $? != 0 ]; then
    81         echo 'debuild failed!'
    86         echo 'debuild failed!'
    82         exit 1
    87         exit 1
    83     fi
    88     fi
    84 
    89